package com.lightinit.hsdataportal.model;

import java.math.BigDecimal;

public class UserInfoModel {

    //认证状态
    private String authState ;

    //累计消费金额
    private BigDecimal userAllCount ;

    //关注Api数量
    private Integer followApiCount ;

    //关注服务数量
    private Integer followMicCount ;

    //账户余额
    private BigDecimal  surplus;

    public String getAuthState() {
        return authState;
    }

    public void setAuthState(String authState) {
        this.authState = authState;
    }

    public BigDecimal getUserAllCount() {
        return userAllCount;
    }

    public void setUserAllCount(BigDecimal userAllCount) {
        this.userAllCount = userAllCount;
    }

    public BigDecimal getSurplus() {
        return surplus;
    }

    public void setSurplus(BigDecimal surplus) {
        this.surplus = surplus;
    }

    public Integer getFollowApiCount() {
        return followApiCount;
    }

    public void setFollowApiCount(Integer followApiCount) {
        this.followApiCount = followApiCount;
    }

    public Integer getFollowMicCount() {
        return followMicCount;
    }

    public void setFollowMicCount(Integer followMicCount) {
        this.followMicCount = followMicCount;
    }
}
